<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rootCoordinator"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.home.HomeFragment">

    <!-- 背景-->
    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:src="@drawable/bg"
        android:scaleType="fitXY"
        android:adjustViewBounds="true" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:overScrollMode="never">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="16dp">
            <!-- 设置 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:text="Personal"
                    android:textColor="#1B1F1A"
                    android:textStyle="bold"
                    android:layout_weight="1"
                    android:textSize="30sp" 
                    android:layout_alignParentStart="true" />

                <LinearLayout
                    android:id="@+id/keyboard_settings"
                    android:layout_width="102dp"
                    android:layout_height="33dp"
                    android:layout_alignParentEnd="true"
                    android:background="@drawable/keyboard_ettings"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:padding="10dp">
                    <ImageView
                        android:layout_width="16dp"
                        android:layout_height="10dp"
                        android:scaleType="centerCrop"
                        android:src="@drawable/keyboard_elements" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="5dp"
                        android:text="My keyboard"
                        android:textColor="#FFFFFF"
                        android:textSize="10sp" />
                </LinearLayout>
            </LinearLayout>
        
            <!-- 头像昵称 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:layout_marginTop="20dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">
                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/avatar"
                    android:layout_width="70dp"
                    android:layout_height="70dp"
                    android:layout_marginStart="5dp"
                    android:src="@drawable/default_avatar"
                    android:clickable="true"
                    android:focusable="true"/>

                <!-- 下标 -->
                <ImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_marginStart="-16dp"
                    android:layout_marginTop="30dp"
                    android:elevation="5dp"
                    android:scaleType="centerCrop"
                    android:src="@drawable/subscript"/>

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:text="Username"
                    android:textColor="#1B1F1A"
                    android:textStyle="bold"
                    android:ellipsize="end"
                    android:singleLine="true"
                    android:maxLines="1"
                    android:layout_weight="1"
                    android:textSize="20sp" />
            </LinearLayout>

            <!-- 充值 -->
            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp">
                <ImageView
                    android:id="@+id/imgLeft"
                    android:layout_width="150dp"
                    android:layout_height="90dp"
                    android:scaleType="centerCrop"
                    android:src="@drawable/member_recharge"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintBottom_toBottomOf="parent"/>

                <ImageView
                    android:id="@+id/imgRight"
                    android:layout_width="150dp"
                    android:layout_height="90dp"
                    android:scaleType="centerCrop"
                    android:src="@drawable/recharge_points"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintBottom_toBottomOf="parent"/>
            </androidx.constraintlayout.widget.ConstraintLayout>

            <!-- 注意 -->
            <LinearLayout
                android:id="@+id/click_Notice"
                android:layout_width="match_parent"
                android:layout_height="64dp"
                android:layout_marginTop="20dp"
                android:background="@drawable/settings"
                android:gravity="center_vertical"
                android:orientation="horizontal">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <ImageView
                        android:layout_width="20dp"
                        android:layout_height="24dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:src="@drawable/notice" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="Notice"
                        android:textColor="#1B1F1A"
                        android:textStyle="bold"
                        android:layout_weight="1"
                        android:textSize="20sp" />
                </LinearLayout>

                <ImageView
                    android:layout_width="9dp"
                    android:layout_height="13dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:src="@drawable/more_icons" />   
            </LinearLayout>

            <!-- 分享应用 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="64dp"
                android:layout_marginTop="20dp"
                android:background="@drawable/settings"
                android:gravity="center_vertical"
                android:orientation="horizontal">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <ImageView
                        android:layout_width="20dp"
                        android:layout_height="24dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:src="@drawable/share" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:text="Share app"
                        android:textColor="#1B1F1A"
                        android:textStyle="bold"
                        android:layout_weight="1"
                        android:textSize="20sp" />
                </LinearLayout>

                <ImageView
                    android:layout_width="9dp"
                    android:layout_height="13dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:src="@drawable/more_icons" />   
            </LinearLayout>

            <!-- 其他 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:background="@drawable/settings"
                android:orientation="vertical">
                <!-- 反馈 -->
                <LinearLayout
                    android:id="@+id/click_Feedback"
                    android:layout_width="match_parent"
                    android:layout_height="64dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">
                        <ImageView
                            android:layout_width="20dp"
                            android:layout_height="24dp"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="10dp"
                            android:src="@drawable/feedback" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            android:text="Feedback"
                            android:textColor="#1B1F1A"
                            android:textStyle="bold"
                            android:layout_weight="1"
                            android:textSize="20sp" />
                    </LinearLayout>

                    <ImageView
                        android:layout_width="9dp"
                        android:layout_height="13dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:src="@drawable/more_icons" />   
                </LinearLayout>

                <!-- 电子邮件 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="64dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">
                        <ImageView
                            android:layout_width="20dp"
                            android:layout_height="24dp"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="10dp"
                            android:src="@drawable/e_mail" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            android:text="E-mail"
                            android:textColor="#1B1F1A"
                            android:textStyle="bold"
                            android:layout_weight="1"
                            android:textSize="20sp" />
                    </LinearLayout>

                    <ImageView
                        android:layout_width="9dp"
                        android:layout_height="13dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:src="@drawable/more_icons" />   
                </LinearLayout>

                <!-- 协议 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="64dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">
                        <ImageView
                            android:layout_width="20dp"
                            android:layout_height="24dp"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="10dp"
                            android:src="@drawable/agreement" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            android:text="Agreement"
                            android:textColor="#1B1F1A"
                            android:textStyle="bold"
                            android:layout_weight="1"
                            android:textSize="20sp" />
                    </LinearLayout>

                    <ImageView
                        android:layout_width="9dp"
                        android:layout_height="13dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:src="@drawable/more_icons" />   
                </LinearLayout>

                <!-- 隐私政策 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="64dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">
                        <ImageView
                            android:layout_width="20dp"
                            android:layout_height="24dp"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="10dp"
                            android:src="@drawable/privacy_policy" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            android:text="Privacy Policy"
                            android:textColor="#1B1F1A"
                            android:textStyle="bold"
                            android:layout_weight="1"
                            android:textSize="20sp" />
                    </LinearLayout>

                    <ImageView
                        android:layout_width="9dp"
                        android:layout_height="13dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:src="@drawable/more_icons" />   
                </LinearLayout>
            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="63dp"
                android:layout_marginTop="20dp"
                android:layout_marginBottom="20dp"
                android:gravity="center"
                android:text="Log Out"
                android:textColor="#FF0000"
                android:textSize="16sp"
                android:textStyle="bold"
                android:background="@drawable/settings"/>

            <TextView
                android:layout_width="match_parent"
                android:gravity="bottom"
                android:layout_height="40dp"/>
        </LinearLayout>

    </androidx.core.widget.NestedScrollView>
</androidx.coordinatorlayout.widget.CoordinatorLayout>
